## crda 1.1.1

=== debian/changelog ===
crda (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #536502)
    - Most packaging was done by Kel Modderman and Stefan Lippers-Hollmann

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 11 Apr 2011 13:18:35 +0100
