=== debian/control ===
Source: crda
Section: net
Priority: optional
Maintainer: Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 8),
 libnl-dev,
 libssl-dev,
 pkg-config
Standards-Version: 3.9.1
Homepage: http://wireless.kernel.org/en/developers/Regulatory/#CRDA

Package: crda
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 wireless-regdb
Recommends: iw
Description: wireless Central Regulatory Domain Agent
 This package provides a Central Regulatory Domain Agent (CRDA) to be used by
 the Linux kernel cf80211 wireless subsystem to query and apply the regulatory
 domain settings wireless devices may operate within for a given location.
 .
 CRDA queries operational frequency regulations stored within the regulatory
 database provided by the wireless-regdb package.
