## crda 1.1.2

=== debian/changelog ===
crda (1.1.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze
    - Use libnl2, not libnl3
    - Drop Multi-Arch field

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 14 Jul 2012 21:42:30 +0100

crda (1.1.2-1) unstable; urgency=low

  * New upstream version

  [ Stefan Lippers-Hollmann ]
  * switch to libnl3 3.2 and raise versioned build-dependency to (>= 3.2.3-2~),
    to be able to expect it in /lib/.
  * crda is specific to the linux kernel, restrict it to linux-any.
  * bump standards version to 3.9.2, no changes necessary.

  [ Ben Hutchings ]
  * debian/control: Add references to git repository
  * debian/control: Set Multi-Arch: foreign, thanks to Tim Gardner

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 29 Dec 2011 02:41:08 +0100
