=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Ben Hutchings <ben@decadent.org.uk>
 Build-Depends: debhelper (>= 8),
- libnl-dev,
+ libnl2-dev,
  libssl-dev,
  pkg-config
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/kernel/crda.git
+Vcs-Browser: http://git.debian.org/?p=kernel/crda.git
 Homepage: http://wireless.kernel.org/en/developers/Regulatory/#CRDA
 
 Package: crda
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  wireless-regdb
