=== debian/changelog ===
crda (3.13-1) unstable; urgency=medium

  * New upstream version (Closes: #720119)
    - reglib: Validate all structure and array lengths (Closes: #716247)
  * debian/control, debian/watch: Update Homepage and download URLs
  * debian/copyright: Update licence information and copyright holders
    - Licence is now copyleft-next 0.3.0
  * Fix build regressions in new upstream version:
    - Fix the linking order to avoid compilation error
    - Add DESTDIR support in install-libreg* rules in Makefile
    - Do not run ldconfig if DESTDIR is set
    - Fix linking of libraries used by reglib
  * Install reglib in /lib/crda, not /usr/lib
  * debian/crda.lintian-overrides: Override lintian errors due to
    wrongly detecting copyleft-next as GPL

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 23 Aug 2014 12:34:19 -0700

crda (1.1.3-1) unstable; urgency=low

  * New upstream version
    - Add support to send DFS master region
  * debian/control: Correct spelling of 'cfg80211' (Closes: #657905)
  * debian/watch: Change regex to avoid matching 'latest' symlink
    (Closes: #756624)
  * Update policy version to 3.9.4
    - debian/copyright: Update to 1.0 format (no changes required)
  * debian/copyright: Add my copyright to Debian packaging
  * Require iw to be installed in /sbin

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 22 Aug 2014 23:07:48 -0700
