=== debian/control ===
Source: crda
Section: net
Priority: optional
Maintainer: Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 8),
 libnl-3-dev (>= 3.2.3-2~) [linux-any],
 libnl-genl-3-dev (>= 3.2.3-2~) [linux-any],
 libssl-dev,
 pkg-config
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/kernel/crda.git
Vcs-Browser: http://git.debian.org/?p=kernel/crda.git
Homepage: http://wireless.kernel.org/en/developers/Regulatory/CRDA

Package: crda
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
 wireless-regdb,
 iw (>= 3.2-1~)
Description: wireless Central Regulatory Domain Agent
 This package provides a Central Regulatory Domain Agent (CRDA) to be used by
 the Linux kernel cfg80211 wireless subsystem to query and apply the regulatory
 domain settings wireless devices may operate within for a given location.
 .
 CRDA queries operational frequency regulations stored within the regulatory
 database provided by the wireless-regdb package.
