=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export CFLAGS = -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
+export LIBDIR = /lib/crda
+export LDLIBREG = -Wl,-rpath,$(LIBDIR)
 export REG_BIN = /lib/crda/regulatory.bin
 export USE_OPENSSL = 1
 export RUNTIME_PUBKEY_DIR = /lib/crda/pubkeys
