=== debian/changelog ===
crda (3.18-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:56 +0000

crda (3.18-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * New upstream version (Closes: #840623)
  * debian/control: Change Vcs-Git, Vcs-Browser and Homepage to canonical
    HTTP-S URLs
  * debian/copyright: Change Source to HTTP-S URL
  * Use debhelper compatibility level 9
  * debian/control: Update Standards-Version to 3.9.8; no changes needed
  * debian/rules: Pass dpkg build flags to Makefile (Closes: #784917)

  [ Helmut Grohne ]
  * Fix FTCBFS: use triplet prefixed tools (Closes: #836093)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 18 Jan 2017 01:58:58 +0000
