=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: crda
 Section: net
 Priority: optional
-Maintainer: Ben Hutchings <ben@decadent.org.uk>
-Build-Depends: debhelper (>= 8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
+Build-Depends: debhelper (>= 9),
  libnl-3-dev (>= 3.2.3-2~) [linux-any],
  libnl-genl-3-dev (>= 3.2.3-2~) [linux-any],
  libssl-dev,
  pkg-config
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/kernel/crda.git
-Vcs-Browser: http://git.debian.org/?p=kernel/crda.git
-Homepage: http://wireless.kernel.org/en/developers/Regulatory/CRDA
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/kernel/crda.git
+Vcs-Browser: https://anonscm.debian.org/cgit/kernel/crda.git
+Homepage: https://wireless.wiki.kernel.org/en/developers/Regulatory/CRDA
 
 Package: crda
 Architecture: linux-any
