=== debian/changelog ===
crda (4.14+git20191112.9856751-1) unstable; urgency=medium

  * New upstream version:
    - Upstream version is commit 9856751feaf7b102547cea678a5da6c94252d83d
      dated 2019-11-12

  [ Ben Hutchings ]
  * debian/control: Point Vcs URLs to Salsa
  * debian/control: Change to team-maintained, with me as Uploader
  * debian/control: Use my debian.org email in Uploaders field
  * debian/watch: Switch to git as upstream is no longer making releases
  * Add debian/.gitignore to ignore Debian generated files
  * Use $(LDFLAGS) when building reglib
  * Install crda binary under /lib/crda
  * debian/copyright: Note the new Copyleft-Next repository
  * debian/copyright: Fix typo in the snapshot.debian.org URL
  * debian/copyright: Default license is Copyleft-Next only
  * debian/copyright: Use https: scheme for snapshot.debian.org and Format
    field
  * lintian: Override warning for the Gitorious URL in text of Copyleft-Next
  * debian/rules: Remove unnecessary -u and -g options from install command
  * debian/control: Set Rules-Requires-Root: no
  * debian/rules: Add support for DEB_BUILD_OPTIONS=terse
  * debian/control: Update Standards-Version to 4.5.0

  [ Romain Perier ]
  * Fix build regression with sbuild
  * debian/pubkeys: Add my own public key
  * debian/rules: override dh_auto_clean to only trigger make clean

 -- Ben Hutchings <benh@debian.org>  Tue, 31 Mar 2020 23:30:39 +0100
