=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: crda
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
+Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Uploaders: Ben Hutchings <benh@debian.org>
 Build-Depends: debhelper (>= 9),
  libnl-3-dev (>= 3.2.3-2~) [linux-any],
  libnl-genl-3-dev (>= 3.2.3-2~) [linux-any],
  libssl-dev,
  pkg-config
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/kernel/crda.git
-Vcs-Browser: https://anonscm.debian.org/cgit/kernel/crda.git
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/kernel-team/crda.git
+Vcs-Browser: https://salsa.debian.org/kernel-team/crda
 Homepage: https://wireless.wiki.kernel.org/en/developers/Regulatory/CRDA
 
 Package: crda
