=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,13 @@
 include /usr/share/dpkg/buildflags.mk
 
 export LIBDIR = /lib/crda
+export LIBEXECDIR = /lib/crda
 export LDLIBREG = -Wl,-rpath,$(LIBDIR)
 export REG_BIN = /lib/crda/regulatory.bin
 export USE_OPENSSL = 1
 export RUNTIME_PUBKEY_DIR = /lib/crda/pubkeys
 export RUNTIME_PUBKEY_ONLY = 1
-export V = 1
+export V = $(if $(filter terse,$(DEB_BUILD_OPTIONS)),0,1)
 #export DH_VERBOSE = 1
 
 %:
@@ -27,8 +28,11 @@
 
 override_dh_install:
 	dh_install
-	install -D -o 0 -g 0 -m 755 debian/setregdomain \
+	install -D -m 755 debian/setregdomain \
 		debian/crda/lib/crda/setregdomain
 	mkdir -m 755 debian/crda/$(RUNTIME_PUBKEY_DIR)
 	install -m 644 pubkeys/*.pem debian/pubkeys/*.pem \
 		debian/crda/$(RUNTIME_PUBKEY_DIR)/
+
+override_dh_auto_clean:
+	$(MAKE) clean
