## crda 4.14+git20191112.9856751.1

=== debian/changelog ===
crda (4.14+git20191112.9856751.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Debian kernel team <debian-kernel@lists.debian.org>  Mon, 25 Jul 2022 03:27:01 -0400

crda (4.14+git20191112.9856751.1-1+dde) unstable; urgency=medium

  * Add -Wno-error=deprecated-declarations to fix the build against OpenSSL 3

 -- Zhang FeiLong <zhangfeilong@uniontech.com>  Fri, 20 May 2022 14:34:26 +0800
